/* common css for all form popups start */

.form-popup .form-subheading{
    padding-top: 10px;
    margin-bottom: 0px;
}

.form-popup .elementor-field-type-html{
    margin-bottom: 10px !important;
}

.form-popup select{
    padding-right: 20px;
    text-overflow: ellipsis;
}

.form-popup .select-caret-down-wrapper{
    display: none;
}

.form-popup .elementor-select-wrapper::before{
    content: '';
}

.form-popup .elementor-field-type-acceptance{
    padding-top: 30px;
    padding-bottom: 20px;
}

.form-popup .elementor-field-type-acceptance .elementor-field-option{
    display: flex;
    align-items: flex-start;
}

.form-popup .elementor-field-type-acceptance .elementor-field-option label{
    margin-bottom: 0px;
    cursor: auto;
}

.form-popup .elementor-field-type-acceptance .elementor-field-option input[type="checkbox"]{
    width: 22px;
    height: 22px;
    flex-shrink: 0;
    border: 1px solid #F15B2C !important;
    border-radius: 0px !important;
}

.form-popup .elementor-field-type-acceptance .elementor-field-option a{
    color: #3694FF;
    text-decoration: underline;
}

.form-popup .elementor-field-type-submit button[type="submit"]{
    transition: background-color 0.4s ease, color 0.4s ease, box-shadow 0.4s ease;
}

.form-popup .elementor-field-type-submit button[type="submit"]:hover{
    background-color: #ffffff !important;
    color: #F15B2C !important;
    box-shadow: 0px 4px 6px 0px #00000040;
}

.form-popup .dialog-close-button{
    text-decoration: none;
    border-radius: 50%;
    color: #ffffff;
    padding: 6px;
    outline: none;
    transition: background-color 0.4s ease, color 0.4s ease, box-shadow 0.4s ease;
}

.form-popup .dialog-close-button:hover{
    background-color: #ffffff !important;
    box-shadow: 0px 4px 6px 0px #00000040;
}

.form-popup .dialog-close-button i{
    transition: color 0.4s ease;
}

.form-popup .dialog-close-button:hover i{
    color: #F15B2C !important;
}

.form-popup .dialog-message{
    max-height: 100dvh;
    overflow-y: auto;
    overflow-x: hidden;
}

/* popup scrollbar */

.form-popup .dialog-message::-webkit-scrollbar {
    width: 6px;
}

.form-popup .dialog-message::-webkit-scrollbar-track {
    background-color: #F5F5F5;
}

.form-popup .dialog-message::-webkit-scrollbar-thumb {
    background-color: #17557A;
}

.form-popup .elementor-field-group{
    align-content: flex-start;
}

.form-popup .elementor-field-type-tel .elementor-message::before{
    display: none;
}

.form-popup .elementor-field-type-tel .elementor-message{
    font-size: 12px;
    line-height: 1.4em !important;
    display: block;
    margin-top: 5px;
}

/* mobile number field css */

input.iti__search-input{
    padding: 5px 10px;
    height: auto !important;
    border: none;
    background-color: #F7F8FC;
    margin: 0px;
    color: #7A7A7A;
}

input.iti__search-input:focus{
    outline: none;
}

input.iti__search-input::placeholder{
    color: #7A7A7A !important;
}

/* common css for all form popups end */

/* css for request a quote popup start */

.request-a-quote-popup .deliveries-note{
    font-family: Poppins;
    font-weight: 400;
    font-style: Regular;
    font-size: 14px;
    line-height: 28px;
    color: #777777;
}

/* css for request a quote popup end */

/* css for popups without forms start */

.info-popup .dialog-close-button{
    text-decoration: none;
    border-radius: 50%;
    color: #ffffff;
    padding: 6px;
    outline: none;
    transition: background-color 0.4s ease, color 0.4s ease, box-shadow 0.4s ease;
}

.info-popup .dialog-close-button:hover{
    background-color: #ffffff !important;
    box-shadow: 0px 4px 6px 0px #00000040;
}

.info-popup .dialog-close-button i{
    transition: color 0.4s ease;
}

.info-popup .dialog-close-button:hover i{
    color: #F15B2C !important;
}

/* css for popups without forms ends */


/* media query starts */

@media only screen and (max-width: 1024px){
    /* turn off submit button hover effect for tablet and mobile view */
    .form-popup .elementor-field-type-submit button[type="submit"]:hover{
        background-color: #F15B2C !important;
        color: #ffffff !important;
        box-shadow: none;
    }
}

@media only screen and (max-width: 767px) {
    .form-popup .elementor-field-type-acceptance {
        padding-top: 20px;
        padding-bottom: 0px;
    }

    .form-popup .elementor-field-type-submit button[type="submit"]{
        min-height: 0px !important;
        border-radius: 19px !important;
    }

    .form-popup .elementor-field-type-acceptance .elementor-field-option input[type="checkbox"]{
        width: 18px;
        height: 18px;
    }

    .form-popup .elementor-field-type-acceptance .elementor-field-option input[type="checkbox"]::after{
        width: 6px;
        height: 12px;
        left: 5px;
        top: 1px;
    }

    .form-popup .elementor-field-type-acceptance .elementor-field-option label{
        font-size: 14px !important;
    }
}